Package com.smartgwt.client.types

# Enum DefaultSampleRecord

java.lang.Object
java.lang.Enum<DefaultSampleRecord>
com.smartgwt.client.types.DefaultSampleRecord

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DefaultSampleRecord>`, `Constable`

public enum DefaultSampleRecord extends Enum<DefaultSampleRecord> implements ValueEnum
Some interfaces, for example the `FieldPicker` and `HiliteEditor` widgets, can use data from an associated DataBoundComponent to express live sample values at runtime.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIRST`
  Uses the first record in the DataBoundComponent as sample data
  `FIRSTOPENLEAF`
  Uses the first open leaf-node in the DataBoundComponent as sample data

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DefaultSampleRecord`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DefaultSampleRecord[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIRST

    public static final DefaultSampleRecord FIRST
    Uses the first record in the DataBoundComponent as sample data

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "first".

  - ### FIRSTOPENLEAF

    public static final DefaultSampleRecord FIRSTOPENLEAF
    Uses the first open leaf-node in the DataBoundComponent as sample data

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "firstOpenLeaf".

- ## Method Details

  - ### values

    public static DefaultSampleRecord[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DefaultSampleRecord valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`